From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/gst-plugins-vaapi/
Date: Sat, 9 Jul 2016 10:12:29 +0000 (UTC) [thread overview]
Message-ID: <1468059106.0debeb529c68174b52a2ce4f5e4de469fdb02dd3.pacho@gentoo> (raw)
commit: 0debeb529c68174b52a2ce4f5e4de469fdb02dd3
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 9 09:51:00 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jul 9 10:11:46 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0debeb52
media-plugins/gst-plugins-vaapi: Version bump
Package-Manager: portage-2.3.0
media-plugins/gst-plugins-vaapi/Manifest | 1 +
.../gst-plugins-vaapi-1.8.2.ebuild | 59 ++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/media-plugins/gst-plugins-vaapi/Manifest b/media-plugins/gst-plugins-vaapi/Manifest
index d1ea579..49b7387 100644
--- a/media-plugins/gst-plugins-vaapi/Manifest
+++ b/media-plugins/gst-plugins-vaapi/Manifest
@@ -1 +1,2 @@
DIST gstreamer-vaapi-0.7.0.tar.bz2 2362818 SHA256 abe8ea4dfb3177d038b38610537c651b943707ed110882782a19b95a9ea04a92 SHA512 8594b97320b34c586fde0ab76f44cd6b8ee2404101259a65d2a457a89d75f158368c35471d85d82cd47beb5163fb075142fc2aeb0364566e1da7971a98a92357 WHIRLPOOL 4624d59a88482896da43da940c203181dcf66cd1ede82faa45efe200d30e1efda6872f08b758df2deadbce1fee476815ef0653f45234da81c1590c953ca613d5
+DIST gstreamer-vaapi-1.8.2.tar.xz 933152 SHA256 5479e86f593d80c00bbd4a43b16b2027cb935412a2bb22c9ba4ac085627a9229 SHA512 9ffd0fdba59c22f428c1c219d27ad83ebaa5c36c1a1fc875161b03438d69151f83218ce2766131daa71ba332b232c79e7723ad9fe2131b9baa8cf96b50dbf9bd WHIRLPOOL e89f0a7fa5c1084456c797f685cf273c144f25dc34e60b0a9519c662f9f9b9d8daf542abbd51bf79722294613bbe36fe9511b1d64d6022d0f90361cc73ca0480
diff --git a/media-plugins/gst-plugins-vaapi/gst-plugins-vaapi-1.8.2.ebuild b/media-plugins/gst-plugins-vaapi/gst-plugins-vaapi-1.8.2.ebuild
new file mode 100644
index 0000000..c2c5860
--- /dev/null
+++ b/media-plugins/gst-plugins-vaapi/gst-plugins-vaapi-1.8.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils multilib-minimal
+
+MY_PN="gstreamer-vaapi"
+DESCRIPTION="Hardware accelerated video decoding through VA-API plugin"
+HOMEPAGE="https://cgit.freedesktop.org/gstreamer/gstreamer-vaapi"
+SRC_URI="https://gstreamer.freedesktop.org/src/${MY_PN}/${MY_PN}-${PV}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="1.0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+drm opengl wayland +X"
+REQUIRED_USE="|| ( drm opengl wayland X )"
+
+RDEPEND="
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=media-libs/gstreamer-${PV}:1.0[${MULTILIB_USEDEP}]
+ >=media-libs/gst-plugins-base-${PV}:1.0[${MULTILIB_USEDEP}]
+ >=media-libs/gst-plugins-bad-${PV}:1.0[opengl?,${MULTILIB_USEDEP}]
+ >=x11-libs/libva-1.4.0[drm?,X?,opengl?,wayland?,${MULTILIB_USEDEP}]
+ drm? (
+ >=virtual/libudev-208:=[${MULTILIB_USEDEP}]
+ >=x11-libs/libdrm-2.4.46[${MULTILIB_USEDEP}] )
+ X? (
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrandr-1.4.2[${MULTILIB_USEDEP}] )
+ opengl? (
+ >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrandr-1.4.2[${MULTILIB_USEDEP}] )
+ wayland? ( >=dev-libs/wayland-1.0.6[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.12
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ econf \
+ --disable-static \
+ --enable-egl \
+ $(use_enable drm) \
+ $(use_enable opengl glx) \
+ $(use_enable wayland) \
+ $(use_enable X x11)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files --modules
+}
next reply other threads:[~2016-07-09 10:12 UTC|newest]
Thread overview: 96+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-09 10:12 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-08 10:31 [gentoo-commits] repo/gentoo:master commit in: media-plugins/gst-plugins-vaapi/ Arthur Zamarin
2025-02-08 10:28 Arthur Zamarin
2025-01-17 16:13 Sam James
2025-01-05 23:53 Sam James
2025-01-04 21:34 Sam James
2024-12-24 10:20 Sam James
2024-05-23 17:27 Matt Turner
2024-04-22 8:19 Arthur Zamarin
2024-04-19 14:23 Arthur Zamarin
2024-04-15 5:01 Arthur Zamarin
2024-04-01 19:55 Mart Raudsepp
2023-10-14 3:43 Sam James
2023-10-13 7:33 Mart Raudsepp
2023-07-25 18:07 Arthur Zamarin
2023-06-10 10:15 Arthur Zamarin
2023-05-30 18:46 Sam James
2023-05-30 18:21 Sam James
2023-01-14 15:50 Sam James
2022-12-15 4:46 Arthur Zamarin
2022-12-13 20:09 Arthur Zamarin
2022-12-13 20:03 Arthur Zamarin
2022-12-13 18:26 Arthur Zamarin
2022-11-29 15:58 WANG Xuerui
2022-11-20 18:34 Mart Raudsepp
2022-10-20 17:01 Georgy Yakovlev
2022-09-16 8:53 Arthur Zamarin
2022-09-16 6:52 Agostino Sarubbo
2022-08-26 13:10 Sam James
2022-06-07 13:59 Matt Turner
2022-05-28 1:29 Sam James
2022-05-16 12:35 Jakov Smolić
2022-04-02 12:04 Arthur Zamarin
2022-04-01 15:20 Jakov Smolić
2022-04-01 7:14 Arthur Zamarin
2022-03-29 7:02 Matt Turner
2021-11-21 22:14 Mike Gilbert
2021-11-14 0:43 Mike Gilbert
2021-10-31 0:19 Sam James
2021-09-16 18:55 Sam James
2021-09-16 6:14 Sam James
2021-08-10 14:18 Marek Szuba
2021-05-16 18:33 Georgy Yakovlev
2021-02-19 23:03 Mart Raudsepp
2021-02-17 13:53 Sam James
2021-02-14 14:50 Sam James
2021-02-14 2:12 Sam James
2021-02-13 21:41 Mart Raudsepp
2020-06-29 15:51 Mikle Kolyada
2020-06-21 21:59 Mart Raudsepp
2020-06-21 16:52 Thomas Deutschmann
2020-05-03 19:12 Mart Raudsepp
2020-01-22 9:33 Georgy Yakovlev
2019-12-10 18:10 Aaron Bauman
2019-12-07 13:17 Mikle Kolyada
2019-12-07 13:12 Mikle Kolyada
2019-08-27 21:30 Mart Raudsepp
2019-01-15 23:29 Mart Raudsepp
2019-01-09 4:37 Matt Turner
2019-01-09 1:36 Thomas Deutschmann
2018-09-21 5:32 Mart Raudsepp
2018-09-18 0:28 Mart Raudsepp
2018-07-31 9:41 Mart Raudsepp
2018-07-31 0:43 Thomas Deutschmann
2018-07-16 14:01 Mikle Kolyada
2018-06-18 17:19 Mart Raudsepp
2018-06-18 17:19 Mart Raudsepp
2018-03-17 18:12 Mikle Kolyada
2017-12-17 2:01 Mart Raudsepp
2017-12-17 1:27 Mart Raudsepp
2017-12-17 1:27 Mart Raudsepp
2017-12-16 11:33 Tobias Klausmann
2017-09-18 22:02 Mart Raudsepp
2017-09-18 22:01 Mart Raudsepp
2017-09-16 20:50 Mart Raudsepp
2017-07-15 15:50 Tobias Klausmann
2017-07-08 10:12 Alexis Ballier
2017-06-18 8:31 Mart Raudsepp
2017-02-25 21:31 Mart Raudsepp
2017-02-25 21:25 Mart Raudsepp
2017-02-16 17:26 Agostino Sarubbo
2017-02-16 13:25 Agostino Sarubbo
2017-02-11 15:24 Mart Raudsepp
2017-02-11 15:12 Mart Raudsepp
2017-01-20 8:31 Mart Raudsepp
2016-10-01 0:54 Pacho Ramos
2016-09-18 22:44 Gilles Dartiguelongue
2016-07-31 8:54 Pacho Ramos
2016-07-09 10:12 Pacho Ramos
2016-03-06 20:12 Mikle Kolyada
2016-02-21 23:44 Pacho Ramos
2015-12-29 13:42 Pacho Ramos
2015-11-08 22:35 Gilles Dartiguelongue
2015-11-08 22:35 Gilles Dartiguelongue
2015-09-05 13:54 Pacho Ramos
2015-09-05 13:53 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1468059106.0debeb529c68174b52a2ce4f5e4de469fdb02dd3.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox